From 5f95713d87bb964ceff5a65ba78dcfc1d2d05255 Mon Sep 17 00:00:00 2001
From: Andre Meyering <info@andremeyering.de>
Date: Wed, 23 Jan 2013 15:37:46 +0100
Subject: [PATCH] replaced parameter lists by an options object; minor fixes;

replaced parameter list by an options object in viewNavigator and
splitNavigator. Also updated examples and replaced spaced by tabs in
examples files.
---
 .../01 - viewnavigator/01 - basic/index.html  |   50 +-
 .../02 - movie reviews/index.html             |  222 +-
 .../02 - movie reviews/phonegap-1.4.1.js      | 4123 +++++++++++++++++
 .../03 - multi instance/index.html            |   68 +-
 .../04 - form elements/index.html             |   50 +-
 .../01 - basic/index.html                     |   66 +-
 .../02 - movie reviews/index.html             |  248 +-
 .../03 - slidingView/01 - basic/index.html    |   34 +-
 .../02 - view navigators/index.html           |   78 +-
 .../03 - swipeview/index.html                 |  344 +-
 .../03 - slidingView/03 - swipeview/style.css |    2 +-
 .../03 - slidingView/04 - oridomi/index.html  |  138 +-
 .../05 - oridomi w viewnav/index.html         |  180 +-
 samples/04 - browser history/index.html       |  202 +-
 .../www/index.html                            |  438 +-
 src/splitviewnavigator/splitviewnavigator.js  |   27 +-
 src/viewnavigator/viewnavigator.js            |   30 +-
 17 files changed, 5221 insertions(+), 1079 deletions(-)
 create mode 100644 samples/01 - viewnavigator/02 - movie reviews/phonegap-1.4.1.js

diff --git a/samples/02 - splitviewnavigator/01 - basic/index.html b/samples/02 - splitviewnavigator/01 - basic/index.html
index f01edb4..477f379 100644
--- a/samples/02 - splitviewnavigator/01 - basic/index.html	
+++ b/samples/02 - splitviewnavigator/01 - basic/index.html	
@@ -1,20 +1,20 @@
 <!DOCTYPE html>
 <html>
 	<head>
-    	<title>View Navigator Sample</title>
-    	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
+		<title>View Navigator Sample</title>
+		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
 
-    	<script src="../../../src/libs/jquery-1.7.1.js"></script>
-    	<script src="../../../src/libs/jquery.animate-enhanced.js"></script>
-    	<script src="../../../src/libs/iscroll.js"></script>
-    	<script src="../../../src/libs/noClickDelay.js"></script>
-    	
-    
-    	<link rel="stylesheet" href="../../../src/splitviewnavigator/splitviewnavigator.css" type="text/css" />
-    	<script src="../../../src/splitviewnavigator/splitviewnavigator.js"></script>
-    	
-    	<link rel="stylesheet" href="../../../src/viewnavigator/viewnavigator.css" type="text/css" />
-    	<script src="../../../src/viewnavigator/viewnavigator.js"></script>
+		<script src="../../../src/libs/jquery-1.7.1.js"></script>
+		<script src="../../../src/libs/jquery.animate-enhanced.js"></script>
+		<script src="../../../src/libs/iscroll.js"></script>
+		<script src="../../../src/libs/noClickDelay.js"></script>
+
+
+		<link rel="stylesheet" href="../../../src/splitviewnavigator/splitviewnavigator.css" type="text/css" />
+		<script src="../../../src/splitviewnavigator/splitviewnavigator.js"></script>
+
+		<link rel="stylesheet" href="../../../src/viewnavigator/viewnavigator.css" type="text/css" />
+		<script src="../../../src/viewnavigator/viewnavigator.js"></script>
 
 		<style>
 			li {
@@ -25,22 +25,24 @@
 		<script>
 
 			$(document).ready( function() {
-				
+
 				var sidebarViewDescriptor = getSidebarView();
 					sidebarViewDescriptor.backLabel = null;
-					
+
 				var bodyViewDescriptor = getBodyView();
 					bodyViewDescriptor.backLabel = null;
-				
-				
+
+
 				//Setup the ViewNavigator
-				new SplitViewNavigator( 'body', "Menu" );	
+				new SplitViewNavigator( 'body', {
+					toggleButtonLabel: 'Menu'
+				});
 				window.splitViewNavigator.pushSidebarView( sidebarViewDescriptor );
 				window.splitViewNavigator.pushBodyView( bodyViewDescriptor );
-				
+
 			} );
-			
-			
+
+
 			function getSidebarView() {
 				var viewHTML = "<ul>" +
 									"<li onclick='pushSidebarView()' class='viewNavigator_backButton'>Push Sidebar View</li>" +
@@ -48,44 +50,44 @@
 									"<li onclick='pushBodyView()' class='viewNavigator_backButton'>Push Body View</li>" +
 									"<li onclick='window.splitViewNavigator.popBodyView()' class='viewNavigator_backButton'>Pop Body View</li>" +
 								"</ul>";
-				return { 
-						title: "Sidebar " + parseInt( Math.random() * 100 ).toString(), 
+				return {
+						title: "Sidebar " + parseInt( Math.random() * 100 ).toString(),
 						backLabel: "Back",
 						view:  $(viewHTML)
 					};
 			}
-			
+
 			function getBodyView() {
 				var viewHTML = "<div>" +getMeat() + "</div>";
-				return { 
-						title: "Body Content " + parseInt( Math.random() * 100 ).toString(), 
+				return {
+						title: "Body Content " + parseInt( Math.random() * 100 ).toString(),
 						backLabel: "Back",
 						view:  $(viewHTML)
 					};
 			}
-			
+
 			function pushSidebarView() {
 				window.splitViewNavigator.pushSidebarView( getSidebarView() );
 			}
-			
+
 			function pushBodyView() {
 				window.splitViewNavigator.pushBodyView( getBodyView() );
 				window.splitViewNavigator.hideSidebar();
 			}
-			
+
 			function getMeat() {
 				//randomly generate content
 				//text string generated by http://baconipsum.com/
 				var iterations = 1 + parseInt(Math.random() * 25);
 				var result = "";
 				for ( var i = 0; i < iterations; i ++ ) {
-					result += "Pork chop corned beef meatloaf prosciutto flank, chuck andouille fatback hamburger cow ham turkey. Drumstick filet mignon boudin, salami beef ribs ball tip turducken frankfurter chuck. Pork chop swine chuck meatloaf capicola tri-tip. Pork belly venison bresaola flank, jerky ham hock short loin ground round corned beef salami pork filet mignon tri-tip sirloin. Tenderloin meatball corned beef, boudin brisket bresaola rump short loin tri-tip spare ribs pork belly cow.<hr>" 
+					result += "Pork chop corned beef meatloaf prosciutto flank, chuck andouille fatback hamburger cow ham turkey. Drumstick filet mignon boudin, salami beef ribs ball tip turducken frankfurter chuck. Pork chop swine chuck meatloaf capicola tri-tip. Pork belly venison bresaola flank, jerky ham hock short loin ground round corned beef salami pork filet mignon tri-tip sirloin. Tenderloin meatball corned beef, boudin brisket bresaola rump short loin tri-tip spare ribs pork belly cow.<hr>"
 				}
 				return result;
 			}
-			
+
 		</script>
 
 	</head>
 	<body></body>
-</html>
\ No newline at end of file
+</html>
diff --git a/samples/02 - splitviewnavigator/02 - movie reviews/index.html b/samples/02 - splitviewnavigator/02 - movie reviews/index.html
index 7322739..7364d07 100644
--- a/samples/02 - splitviewnavigator/02 - movie reviews/index.html	
+++ b/samples/02 - splitviewnavigator/02 - movie reviews/index.html	
@@ -1,50 +1,50 @@
 <!DOCTYPE html>
 <html>
 	<head>
-    	<title>View Navigator Sample</title>
-    	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
+		<title>View Navigator Sample</title>
+		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
 
-    	<script src="phonegap-1.4.1.js"></script>
-    	
-    	<script src="../../../src/libs/jquery-1.7.1.js"></script>
-    	<script src="../../../src/libs/jquery.animate-enhanced.js"></script>
-    	<script src="../../../src/libs/iscroll.js"></script>
-    	<script src="../../../src/libs/noClickDelay.js"></script>
-    
-    	<link rel="stylesheet" href="../../../src/viewnavigator/viewnavigator.css" type="text/css" />
-    	<script src="../../../src/viewnavigator/viewnavigator.js"></script>
+		<script src="phonegap-1.4.1.js"></script>
+
+		<script src="../../../src/libs/jquery-1.7.1.js"></script>
+		<script src="../../../src/libs/jquery.animate-enhanced.js"></script>
+		<script src="../../../src/libs/iscroll.js"></script>
+		<script src="../../../src/libs/noClickDelay.js"></script>
+
+		<link rel="stylesheet" href="../../../src/viewnavigator/viewnavigator.css" type="text/css" />
+		<script src="../../../src/viewnavigator/viewnavigator.js"></script>
+
+		<link rel="stylesheet" href="../../../src/libs/css/activityIndicator.css" type="text/css" />
+
+		<link rel="stylesheet" href="../../../src/splitviewnavigator/splitviewnavigator.css" type="text/css" />
+		<script src="../../../src/splitviewnavigator/splitviewnavigator.js"></script>
+
+		<style>
 
-    	<link rel="stylesheet" href="../../../src/libs/css/activityIndicator.css" type="text/css" />
-    	
-    	<link rel="stylesheet" href="../../../src/splitviewnavigator/splitviewnavigator.css" type="text/css" />
-    	<script src="../../../src/splitviewnavigator/splitviewnavigator.js"></script>
-    	
-    	<style>
-                
 			* {
 				font-family: Arial, sans-serif;
 			}
-    	
-    		#detail {
+
+			#detail {
 				padding:10px;
-    		}
-    		
-    		#defaultView {
-    			text-align:center;
-    			padding-top:100px;
-    		}
-    		
-    		.moviePoster {
-    			float:right;
-    			width:120px;
-    			height:178px;
-    			overflow:hidden;
-    			margin:10px;
-    			padding:2px;
-    			border:1px solid #999999;
-    		}
-    		
-    		.listSelected {
+			}
+
+			#defaultView {
+				text-align:center;
+				padding-top:100px;
+			}
+
+			.moviePoster {
+				float:right;
+				width:120px;
+				height:178px;
+				overflow:hidden;
+				margin:10px;
+				padding:2px;
+				border:1px solid #999999;
+			}
+
+			.listSelected {
 				background-color:#424242;
 				background-image:-webkit-gradient(linear, 0 0, 0 100, from(#0069d6), to(#999da9));
 				background-image:-moz-linear-gradient(top, #0069d6, #999da9);
@@ -52,13 +52,13 @@
 				color: #FFF;
 				font-weight:bold;
 						}
-						
+
 			ul,li {
 				padding:0;
 				margin:0;
 				border:0;
 			}
-			
+
 			.viewNavigator_contentHolder li {
 				padding:0 10px;
 				border-bottom:1px solid #ccc;
@@ -72,98 +72,98 @@
 				-moz-binding: url('assets/xml/ellipsis.xml#ellipsis');
 			}
 
-                
-                #detail li {
-                
+
+				#detail li {
+
 					white-space: normal;
 					overflow: visible;
-                    height:auto; 
-                }
+					height:auto;
+				}
 
-    	</style>
+		</style>
 
- 		<script type="text/javascript" charset="utf-8">
-            
-            var API_KEY = "erxqmwxj75wdrgwfwgkc9vng";
-            
-            var sampleData;
-            
-            /* ==================== Controller ==================== */
-            
-            var controller = {
-                data : []                           
-            };
-            
-            controller.init = function () {
-                var url = "http://api.rottentomatoes.com/api/public/v1.0/lists/movies/box_office.json?limit=25&country=us&apikey=" + API_KEY;
-                console.log( url );
-                
-               this.rootView =  { title: "Rotten Tomatoes", 
+		<script type="text/javascript" charset="utf-8">
+
+			var API_KEY = "erxqmwxj75wdrgwfwgkc9vng";
+
+			var sampleData;
+
+			/* ==================== Controller ==================== */
+
+			var controller = {
+				data : []
+			};
+
+			controller.init = function () {
+				var url = "http://api.rottentomatoes.com/api/public/v1.0/lists/movies/box_office.json?limit=25&country=us&apikey=" + API_KEY;
+				console.log( url );
+
+			   this.rootView =  { title: "Rotten Tomatoes",
 						 backLabel: null,
 						 view:  $("<div id='rootView'><div class='activityIndicator'></div></div>")
 					   };
-                
-                $.ajax({
+
+				$.ajax({
 				  url: url,
 				  dataType: "json",
 				  success: function(data, textStatus, jqXHR) {
-                         
-                            controller.rootData = data;
-                            controller.renderDefaultView();
-                         
-                         },
-				  error: function(jqXHR, textStatus, errorThrown) { 
-				  	alert("error") 
+
+							controller.rootData = data;
+							controller.renderDefaultView();
+
+						 },
+				  error: function(jqXHR, textStatus, errorThrown) {
+					alert("error")
 				  }
 				});
-                
-                return;
-            };
-            
-            controller.renderDefaultView = function () {
-            	this.rootView.view.children().remove();
-            	var html = "<ul>";
+
+				return;
+			};
+
+			controller.renderDefaultView = function () {
+				this.rootView.view.children().remove();
+				var html = "<ul>";
 				for ( var i = 0; i < controller.rootData.movies.length; i ++ )
 				{
 					var movie = controller.rootData.movies[i];
-					html += "<li id='" + movie.id + "'onclick='controller.renderDetails(\"" + i + "\")'>" + movie.title + "</li>";	
+					html += "<li id='" + movie.id + "'onclick='controller.renderDetails(\"" + i + "\")'>" + movie.title + "</li>";
 				}
 				html += "</ul>";
 				this.rootView.view.html( html );
-                setTimeout( function() {
-                       window.splitViewNavigator.sidebarViewNavigator.refreshScroller();
-                           }, 10 );
-                
-                
-            }
-            
-            controller.renderDetails = function (index) {
-            	var movie = controller.rootData.movies[index];
-            	
-            	window.splitViewNavigator.hideSidebar();
-            	window.splitViewNavigator.sidebarViewNavigator.content.find( "li" ).each(function(index) {
+				setTimeout( function() {
+					   window.splitViewNavigator.sidebarViewNavigator.refreshScroller();
+						   }, 10 );
+
+
+			}
+
+			controller.renderDetails = function (index) {
+				var movie = controller.rootData.movies[index];
+
+				window.splitViewNavigator.hideSidebar();
+				window.splitViewNavigator.sidebarViewNavigator.content.find( "li" ).each(function(index) {
 					$(this).removeClass( "listSelected" );
 				});
-            	
-            	$( "#"+movie.id ).addClass( "listSelected" );
-            	
-            	var html = "<div id='detail'>";
-            	html += "<h1>" + movie.title + "</h1>";
+
+				$( "#"+movie.id ).addClass( "listSelected" );
+
+				var html = "<div id='detail'>";
+				html += "<h1>" + movie.title + "</h1>";
 				html += "<p><strong>" + movie.mpaa_rating + "</strong>, " + movie.runtime + "min. - (" + movie.year + ")</p>";
 				html += "<img src=\"" + movie.posters.profile + "\" class='moviePoster'>";
 				html += "<p>" + movie.synopsis + "</p>";
 				html += "<h3>Ratings:</h3><p>";
-				html +=    "<strong>Audience:</strong> " + movie.ratings.audience_score + " - " + movie.ratings.audience_rating + "<br>" 
-				html +=    "<strong>Critics:</strong> " + movie.ratings.critics_score + " - " + movie.ratings.critics_rating + "<br>" 
+				html +=    "<strong>Audience:</strong> " + movie.ratings.audience_score + " - " + movie.ratings.audience_rating + "<br>"
+				html +=    "<strong>Critics:</strong> " + movie.ratings.critics_score + " - " + movie.ratings.critics_rating + "<br>"
 				html += "</p>"
 				html += "<h4>What the critics say:</h4><p>" + movie.critics_consensus + "</p>";
 				html += "<h3>Cast:</h3><p><ul>";
-				
+
 				for ( var i = 0; i < movie.abridged_cast.length; i ++ )
 				{
 					var actor = movie.abridged_cast[i];
 					html += "<li><strong>" + actor.name + ":</strong> ";
-					
+
 					if ( actor.characters ) {
 						for ( var j = 0; j < actor.characters.length; j ++ )
 						{
@@ -171,41 +171,43 @@
 							html += actor.characters[j];
 						}
 					}
-					
-					html += "</li>";	
+
+					html += "</li>";
 				}
-				
+
 				html += "</ul></p>";
-				
+
 				html += "</div>";
-            	
-            	var viewDescriptor =  { title: movie.title, 
+
+				var viewDescriptor =  { title: movie.title,
 						 view:  $(html)
 					   };
-					
-                window.splitViewNavigator.replaceBodyView( viewDescriptor );
-                    
-            }
-            
-            
+
+				window.splitViewNavigator.replaceBodyView( viewDescriptor );
+
+			}
+
+
 			$(document).ready( function() {
-				
-                controller.init();
-                
-                var defaultView = { title: "Rotten Tomatoes", 
+
+				controller.init();
+
+				var defaultView = { title: "Rotten Tomatoes",
 						 view:  $("<div id='defaultView'><img src='assets/tomato.jpeg' /></div>")
 					   };
-				
-				
+
+
 				//Setup the ViewNavigator
-				new SplitViewNavigator( 'body', "Movies" );	
+				new SplitViewNavigator( 'body', {
+					toggleButtonLabel: 'Movies'
+				});
 				window.splitViewNavigator.pushSidebarView( controller.rootView );
 				window.splitViewNavigator.pushBodyView( defaultView );
-				
+
 			} );
-			
+
 		</script>
 
 	</head>
 	<body></body>
-</html>
\ No newline at end of file
+</html>
diff --git a/samples/04 - browser history/index.html b/samples/04 - browser history/index.html
index 564218d..e62e17b 100644
--- a/samples/04 - browser history/index.html	
+++ b/samples/04 - browser history/index.html	
@@ -1,73 +1,73 @@
 <!DOCTYPE html>
 <html>
 	<head>
-    	<title>TV Listings</title>
-    	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
+		<title>TV Listings</title>
+		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
 
-    	<script src="../../src/libs/jquery-1.7.1.js"></script>
-    	<script src="../../src/libs/jquery.animate-enhanced.js"></script>
-    	<script src="../../src/libs/iscroll.js"></script>
-    	<script src="../../src/libs/noClickDelay.js"></script>
-        <script type="text/javascript" src="libs/jquery.address-1.4.js"></script>
+		<script src="../../src/libs/jquery-1.7.1.js"></script>
+		<script src="../../src/libs/jquery.animate-enhanced.js"></script>
+		<script src="../../src/libs/iscroll.js"></script>
+		<script src="../../src/libs/noClickDelay.js"></script>
+		<script type="text/javascript" src="libs/jquery.address-1.4.js"></script>
 
-    	
-    	<link rel="stylesheet" href="../../src/viewnavigator/viewnavigator.css" type="text/css" />
-    	<script src="../../src/viewnavigator/viewnavigator.js"></script>
 
-    	<style>
-    		
-    		body,ul,li,header,nav,aside,section,article,p,a {
+		<link rel="stylesheet" href="../../src/viewnavigator/viewnavigator.css" type="text/css" />
+		<script src="../../src/viewnavigator/viewnavigator.js"></script>
+
+		<style>
+
+			body,ul,li,header,nav,aside,section,article,p,a {
 				padding:0;
 				margin:0;
 				border:0;
 			}
-    		
-    		body {
- 	   			font: normal 1.25em Helvetica;
- 	   			background: #333;
-    		}
-    		
-    		object{ 
-    			-webkit-overflow-scrolling: touch;
-    			}
-    		
-    		#iframeWrapper {
-    			width: 100%;
-    			height:100%;
-    			overflow: scroll;
-    			-webkit-overflow-scrolling: touch;
-    		}
-    		
-    		iframe {
-    			width: 100%;
-    			min-height:100%;
-    			background-color: rgba(0,0,0,0);
-    			border: none;
-    			overflow: scroll;
-    			-webkit-overflow-scrolling: touch;
-    		}
-    		
-    		
+
+			body {
+				font: normal 1.25em Helvetica;
+				background: #333;
+			}
+
+			object{
+				-webkit-overflow-scrolling: touch;
+				}
+
+			#iframeWrapper {
+				width: 100%;
+				height:100%;
+				overflow: scroll;
+				-webkit-overflow-scrolling: touch;
+			}
+
+			iframe {
+				width: 100%;
+				min-height:100%;
+				background-color: rgba(0,0,0,0);
+				border: none;
+				overflow: scroll;
+				-webkit-overflow-scrolling: touch;
+			}
+
+
 			.viewNavigator_header {
 				background-color: #333;
 				background: url("./assets/header_bg_wood.png") repeat;
 				font: bold 1em Helvetica;
 			}
-			
+
 			.viewNavigator_content {
 				border-top: 2px solid #666;
-    			background-color: #333;
+				background-color: #333;
 			}
-			
+
 			.viewNavigator_contentHolder {
-    			background-color: #333;
+				background-color: #333;
 			}
-			
+
 			.viewNavigator_header_title {
 				max-width:100%;
 				text-shadow: 1px 2px #777;
 			}
-			
+
 			.headerButton {
 				-webkit-box-shadow:inset 0px 1px 0px 0px #999;
 				box-shadow:inset 0px 1px 0px 0px #999;
@@ -105,104 +105,106 @@
 				display:block;
 				text-decoration:none;
 			}
-			
+
 			.oddRow {
 				background-color: #333;
 			}
-			
-			
+
+
 			.listSelected {
 				background:#015FE6;
 				background-color:#015FE6;
 				color: #FFF;
 				font-weight:bold;
 			}
-    		
-    	</style>
-    	
+
+		</style>
+
 		<script>
-            // jQuery Address Event handlers
-            $.address.externalChange(function(event) {
-                var text = event.value.substr(1);
-               
-                if ( text.length > 0 ) {
-                	loadView( text );
-                	window.defaultView.find("a").each(function(i){
+			// jQuery Address Event handlers
+			$.address.externalChange(function(event) {
+				var text = event.value.substr(1);
+
+				if ( text.length > 0 ) {
+					loadView( text );
+					window.defaultView.find("a").each(function(i){
 						var $this = $(this);
 						if ($this.text() == text ) {
 							$this.addClass( "listSelected" );
 						}
 					});
-                	$(this).addClass( "listSelected" );
-                }
-                else {        
+					$(this).addClass( "listSelected" );
+				}
+				else {
 					resetList();
-                	window.viewNavigator.popView();
+					window.viewNavigator.popView();
 					$.address.value("");
-                }
-            });
+				}
+			});
 
 
 
 			$(document).ready( function() {
-				
+
 				//Setup the default view
 				var template = $("#defaultViewTemplate").html();
 				window.defaultView = $(template);
-				
-				defaultViewDescriptor = { title: "TV Listings", 
+
+				defaultViewDescriptor = { title: "TV Listings",
 						 view: window.defaultView
 					   };
-				
+
 				//Setup the ViewNavigator
-				window.viewNavigator = new ViewNavigator( 'body', 'headerButton' );	
+				window.viewNavigator = new ViewNavigator( 'body', {
+					backLinkCSS: 'headerButton'
+				});
 				window.viewNavigator.pushView( defaultViewDescriptor );
-				
-				
+
+
 			});
-			
+
 			function loadView( title ) {
-				
-			 	var html = "<div style='min-height:100%; background:#FFF; padding: 3px 15px;'><h1>" + title + "</h1><strong>Cable television</strong> is a system of providing television programs to consumers via radio frequency (RF) signals transmitted to televisions through coaxial cables or digital light pulses through fixed optical fibers located on the subscriber's property. This can be compared to over-the-air method used in traditional broadcast television (via radio waves) in which a television antenna is required. FM radio programming, high-speed Internet, telephony, and similar non-television services may also be provided through cable television. Source: <a href='http://en.wikipedia.org/wiki/Cable_tv'>http://en.wikipedia.org/wiki/Cable_tv</a></div>";
-			 	
-			 	var iframeView = { title: title, 
-			 					backLabel: "Home",
-						 		view: $(html),
-						 		backCallback: handleNavigateBack
-					   		 };
+
+				var html = "<div style='min-height:100%; background:#FFF; padding: 3px 15px;'><h1>" + title + "</h1><strong>Cable television</strong> is a system of providing television programs to consumers via radio frequency (RF) signals transmitted to televisions through coaxial cables or digital light pulses through fixed optical fibers located on the subscriber's property. This can be compared to over-the-air method used in traditional broadcast television (via radio waves) in which a television antenna is required. FM radio programming, high-speed Internet, telephony, and similar non-television services may also be provided through cable television. Source: <a href='http://en.wikipedia.org/wiki/Cable_tv'>http://en.wikipedia.org/wiki/Cable_tv</a></div>";
+
+				var iframeView = { title: title,
+								backLabel: "Home",
+								view: $(html),
+								backCallback: handleNavigateBack
+							 };
 				window.viewNavigator.pushView( iframeView );
 			}
-			
-			function handleNavigateBack() { 
+
+			function handleNavigateBack() {
 				resetList();
 				history.back();
 			}
-			
-			function resetList() { 
+
+			function resetList() {
 				window.defaultView.find("a").each(function(i){
 					$(this).removeClass( "listSelected" );
 				});
 			}
-			
+
 		</script>
 
 	</head>
 	<body></body>
-	
+
 	<script type="text/html" id="defaultViewTemplate">
 	  <ul>
-	  	<a class="listItem" href="#CBS">CBS</a>
-	  	<a class="listItem oddRow" href="#NBC">NBC</a>
-	  	<a class="listItem" href="#FOX">FOX</a>
-	  	<a class="listItem oddRow" href="#ABC">ABC</a>
-	  	<a class="listItem" href="#TLC">TLC</a>
-	  	<a class="listItem oddRow" href="#CNN">CNN</a>
-	  	<a class="listItem" href="#Food Network">Food Network</a>
-	  	<a class="listItem oddRow" href="#ESPN">ESPN</a>
-	  	<a class="listItem" href="#TBS">TBS</a>
-	  	<a class="listItem oddRow" href="#USA">USA</a>
-	  	<a class="listItem" href="#MTV">MTV</a>
-	  	
+		<a class="listItem" href="#CBS">CBS</a>
+		<a class="listItem oddRow" href="#NBC">NBC</a>
+		<a class="listItem" href="#FOX">FOX</a>
+		<a class="listItem oddRow" href="#ABC">ABC</a>
+		<a class="listItem" href="#TLC">TLC</a>
+		<a class="listItem oddRow" href="#CNN">CNN</a>
+		<a class="listItem" href="#Food Network">Food Network</a>
+		<a class="listItem oddRow" href="#ESPN">ESPN</a>
+		<a class="listItem" href="#TBS">TBS</a>
+		<a class="listItem oddRow" href="#USA">USA</a>
+		<a class="listItem" href="#MTV">MTV</a>
+
 	  </ul>
 	</script>
-</html>
\ No newline at end of file
+</html>
